''' (c) 2008 by the GunGame Coding Team

    Title: gg_nocash
    Version: 1.0.0
    Description: Custom addon.
    '''

# ==============================================================================
#   IMPORTS
# ==============================================================================
# EventScripts imports
import es

# GunGame imports
import gungamelib

# ==============================================================================
#   ADDON REGISTRATION
# ==============================================================================
# Register this addon with EventScripts
info = es.AddonInfo()
info.name     = 'Removes all cash for GunGame 5'
info.version  = '1.0.0'
info.url      = 'http://gungame5.com/'
info.basename = 'gungame/custom_addons/gg_nocash'
info.author   = 'Sc0pE'

es.ServerVar('gg_nocash_ver', info.version).makepublic()

def load():
    # Register this addon with GunGame
    gungamelib.registerAddon('gg_nocash')

def unload():
    # Unregister this addon with GunGame
    gungamelib.unregisterAddon('gg_nocash')

def player_spawn(event_var):
    es.setplayerprop(event_var['userid'], "CCSPlayer.m_iAccount", 0)

def player_death(event_var):
    es.setplayerprop(event_var['attacker'], "CCSPlayer.m_iAccount", 0)
    es.setplayerprop(event_var['userid'], "CCSPlayer.m_iAccount", 0)